Bug 257778 - net/x2goclient: Do not use pos() for window position
Summary: net/x2goclient: Do not use pos() for window position
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jesper Schmitz Mouridsen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-11 21:21 UTC by Jesper Schmitz Mouridsen
Modified: 2021-08-14 18:29 UTC (History)
0 users

See Also:
nc: maintainer-feedback+


Attachments
pos() replaced by mapToGlobal(QPoint(0,0) (564 bytes, text/plain)
2021-08-11 21:21 UTC, Jesper Schmitz Mouridsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesper Schmitz Mouridsen freebsd_committer 2021-08-11 21:21:18 UTC
Created attachment 227120 [details]
pos() replaced by mapToGlobal(QPoint(0,0)

At least using LXQt the sanity check of saved (bogus) window position fails, and the clients main window starts outside the screen. Fix by this attached patch.
Comment 1 Neel Chauhan freebsd_committer 2021-08-12 14:44:20 UTC
LGTM.
Comment 2 commit-hook freebsd_committer 2021-08-14 18:29:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f4dbdd093aaae71ee947e794866c72928906c589

commit f4dbdd093aaae71ee947e794866c72928906c589
Author:     Jesper Schmitz Mouridsen <jsm@FreeBSD.org>
AuthorDate: 2021-08-14 18:16:21 +0000
Commit:     Jesper Schmitz Mouridsen <jsm@FreeBSD.org>
CommitDate: 2021-08-14 18:16:21 +0000

    net/x2goclient: Fix stored window postion

    pos() includes the window frame, replace by
    mapToGlobal to avoid out of bounds screen position.

    Approved by: nc (maintainer)
    PR: 257778

 net/x2goclient/Makefile                               |  2 +-
 net/x2goclient/files/patch-src_onmainwindow.cpp (new) | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)